Package org.acplt.oncrpc

## Class XdrChar

- java.lang.Object
- - org.acplt.oncrpc.XdrChar

- All Implemented Interfaces:
    `XdrAble`

      public class XdrChar
      extends java.lang.Object
      implements XdrAble

  Instances of the class `XdrChar` represent (de-)serializeable chars, which are especially useful in cases where a result with only a single char is expected from a remote function call or only a single char parameter needs to be supplied.

  Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:44 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private char` | `value` | The encapsulated char value itself.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XdrChar()` | Constructs and initializes a new `XdrChar` object.
    `XdrChar​(char value)` | Constructs and initializes a new `XdrChar` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `char` | `charValue()` | Returns the value of this `XdrChar` object as a char primitive.
    `void` | `xdrDecode​(XdrDecodingStream xdr)` | Decodes -- that is: deserializes -- a XDR char from a XDR stream in compliance to RFC 1832.
    `void` | `xdrEncode​(XdrEncodingStream xdr)` | Encodes -- that is: serializes -- a XDR char into a XDR stream in compliance to RFC 1832.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          private char value

      The encapsulated char value itself.

  - ### Constructor Detail

    - #### XdrChar

          public XdrChar​(char value)

      Constructs and initializes a new `XdrChar` object.
      Parameters:
        `value` - Char value.

    - #### XdrChar

          public XdrChar()

      Constructs and initializes a new `XdrChar` object.

  - ### Method Detail

    - #### charValue

          public char charValue()

      Returns the value of this `XdrChar` object as a char primitive.
      Returns:
        The primitive `char` value of this object.

    - #### xdrEncode

          public void xdrEncode​(XdrEncodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Encodes -- that is: serializes -- a XDR char into a XDR stream in compliance to RFC 1832.
      Specified by:
        `xdrEncode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream to which information is sent for encoding.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.

    - #### xdrDecode

          public void xdrDecode​(XdrDecodingStream xdr)
                         throws OncRpcException,
                                java.io.IOException

      Decodes -- that is: deserializes -- a XDR char from a XDR stream in compliance to RFC 1832.
      Specified by:
        `xdrDecode` in interface `XdrAble`
      Parameters:
        `xdr` - XDR stream from which decoded information is retrieved.
      Throws:
        `OncRpcException` - if an ONC/RPC error occurs.
        `java.io.IOException` - if an I/O error occurs.